/*
 * File:     IVideoWindowVTBL.java
 * Project:  MPI Linguistic Application
 * Date:     03 April 2006
 *
 * Copyright (C) 2001-2006  Max Planck Institute for Psycholinguistics
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package mpi.eudico.client.annotator.nativemedia.quartztypelib.server;

import com.jniwrapper.*;

import com.jniwrapper.win32.*;

import com.jniwrapper.win32.automation.*;

import com.jniwrapper.win32.automation.impl.*;

import com.jniwrapper.win32.automation.server.*;

import com.jniwrapper.win32.automation.types.*;

import com.jniwrapper.win32.com.*;

import com.jniwrapper.win32.com.impl.*;

import com.jniwrapper.win32.com.server.*;

import com.jniwrapper.win32.com.types.*;

import mpi.eudico.client.annotator.nativemedia.quartztypelib.*;
import mpi.eudico.client.annotator.nativemedia.quartztypelib.impl.*;


/**
 * Represents VTBL for COM interface IVideoWindow
 */
public class IVideoWindowVTBL extends IDispatchVTBL {
    public IVideoWindowVTBL(CoClassMetaInfo classMetaInfo) {
        super(classMetaInfo);

        addMembers(new VirtualMethodCallback[] {
                new VirtualMethodCallback("setCaption", new HResult(),
                    new Parameter[] { new BStr() }),
                new VirtualMethodCallback("getCaption", new HResult(),
                    new Parameter[] { new Pointer.OutOnly(new BStr()) }, 0),
                new VirtualMethodCallback("setWindowStyle", new HResult(),
                    new Parameter[] { new Int32() }),
                new VirtualMethodCallback("getWindowStyle", new HResult(),
                    new Parameter[] { new Pointer.OutOnly(new Int32()) }, 0),
                new VirtualMethodCallback("setWindowStyleEx", new HResult(),
                    new Parameter[] { new Int32() }),
                new VirtualMethodCallback("getWindowStyleEx", new HResult(),
                    new Parameter[] { new Pointer.OutOnly(new Int32()) }, 0),
                new VirtualMethodCallback("setAutoShow", new HResult(),
                    new Parameter[] { new Int32() }),
                new VirtualMethodCallback("getAutoShow", new HResult(),
                    new Parameter[] { new Pointer.OutOnly(new Int32()) }, 0),
                new VirtualMethodCallback("setWindowState", new HResult(),
                    new Parameter[] { new Int32() }),
                new VirtualMethodCallback("getWindowState", new HResult(),
                    new Parameter[] { new Pointer.OutOnly(new Int32()) }, 0),
                new VirtualMethodCallback("setBackgroundPalette",
                    new HResult(), new Parameter[] { new Int32() }),
                new VirtualMethodCallback("getBackgroundPalette",
                    new HResult(),
                    new Parameter[] { new Pointer.OutOnly(new Int32()) }, 0),
                new VirtualMethodCallback("setVisible", new HResult(),
                    new Parameter[] { new Int32() }),
                new VirtualMethodCallback("getVisible", new HResult(),
                    new Parameter[] { new Pointer.OutOnly(new Int32()) }, 0),
                new VirtualMethodCallback("setLeft", new HResult(),
                    new Parameter[] { new Int32() }),
                new VirtualMethodCallback("getLeft", new HResult(),
                    new Parameter[] { new Pointer.OutOnly(new Int32()) }, 0),
                new VirtualMethodCallback("setWidth", new HResult(),
                    new Parameter[] { new Int32() }),
                new VirtualMethodCallback("getWidth", new HResult(),
                    new Parameter[] { new Pointer.OutOnly(new Int32()) }, 0),
                new VirtualMethodCallback("setTop", new HResult(),
                    new Parameter[] { new Int32() }),
                new VirtualMethodCallback("getTop", new HResult(),
                    new Parameter[] { new Pointer.OutOnly(new Int32()) }, 0),
                new VirtualMethodCallback("setHeight", new HResult(),
                    new Parameter[] { new Int32() }),
                new VirtualMethodCallback("getHeight", new HResult(),
                    new Parameter[] { new Pointer.OutOnly(new Int32()) }, 0),
                new VirtualMethodCallback("setOwner", new HResult(),
                    new Parameter[] { new LongPtr() }),
                new VirtualMethodCallback("getOwner", new HResult(),
                    new Parameter[] { new Pointer.OutOnly(new LongPtr()) }, 0),
                new VirtualMethodCallback("setMessageDrain", new HResult(),
                    new Parameter[] { new LongPtr() }),
                new VirtualMethodCallback("getMessageDrain", new HResult(),
                    new Parameter[] { new Pointer.OutOnly(new LongPtr()) }, 0),
                new VirtualMethodCallback("getBorderColor", new HResult(),
                    new Parameter[] { new Pointer.OutOnly(new Int32()) }, 0),
                new VirtualMethodCallback("setBorderColor", new HResult(),
                    new Parameter[] { new Int32() }),
                new VirtualMethodCallback("getFullScreenMode", new HResult(),
                    new Parameter[] { new Pointer.OutOnly(new Int32()) }, 0),
                new VirtualMethodCallback("setFullScreenMode", new HResult(),
                    new Parameter[] { new Int32() }),
                new VirtualMethodCallback("setWindowForeground", new HResult(),
                    new Parameter[] { new Int32() }),
                new VirtualMethodCallback("notifyOwnerMessage", new HResult(),
                    new Parameter[] {
                        new LongPtr(), new Int32(), new LongPtr(), new LongPtr()
                    }),
                new VirtualMethodCallback("setWindowPosition", new HResult(),
                    new Parameter[] {
                        new Int32(), new Int32(), new Int32(), new Int32()
                    }),
                new VirtualMethodCallback("getWindowPosition", new HResult(),
                    new Parameter[] {
                        new Pointer.OutOnly(new Int32()),
                        new Pointer.OutOnly(new Int32()),
                        new Pointer.OutOnly(new Int32()),
                        new Pointer.OutOnly(new Int32())
                    }),
                new VirtualMethodCallback("getMinIdealImageSize",
                    new HResult(),
                    new Parameter[] {
                        new Pointer.OutOnly(new Int32()),
                        new Pointer.OutOnly(new Int32())
                    }),
                new VirtualMethodCallback("getMaxIdealImageSize",
                    new HResult(),
                    new Parameter[] {
                        new Pointer.OutOnly(new Int32()),
                        new Pointer.OutOnly(new Int32())
                    }),
                new VirtualMethodCallback("getRestorePosition", new HResult(),
                    new Parameter[] {
                        new Pointer.OutOnly(new Int32()),
                        new Pointer.OutOnly(new Int32()),
                        new Pointer.OutOnly(new Int32()),
                        new Pointer.OutOnly(new Int32())
                    }),
                new VirtualMethodCallback("hideCursor", new HResult(),
                    new Parameter[] { new Int32() }),
                new VirtualMethodCallback("isCursorHidden", new HResult(),
                    new Parameter[] { new Pointer.OutOnly(new Int32()) }, 0)
            });
    }
}
